# Examples
This folder contains example implementations of Pygwalker across different interfaces.

- [`component_demo.ipynb`](component_demo.ipynb): Creating various visualizations using Pygwalker's core components
- [`dash_demo.py`](dash_demo.py): Integration of Pygwalker with Dash framework
- [`gradio_demo.py`](gradio_demo.py): Using Pygwalker within Gradio applications
- [`html_demo.py`](html_demo.py): Generating standalone HTML outputs with Pygwalker
- [`jupyter_demo.ipynb`](jupyter_demo.ipynb): Basic Pygwalker usage in Jupyter environments
- [`marimo_demo.py`](marimo_demo.py): Interactive data exploration using Pygwalker in Marimo notebooks
- [`streamlit_demo.py`](streamlit_demo.py): Embedding Pygwalker visualizations in Streamlit apps
- [`web_server_demo.py`](web_server_demo.py): Setting up Pygwalker with a web server

## Running examples
Each example includes its own set of requirements and setup instructions within the file. Make sure you have Pygwalker installed:
```shell
pip install pygwalker
```

Additional dependencies may be required based on the specific interface you're using (e.g., streamlit, dash, gradio).
